import * as geo from "../lib/geometry.js";
import { Fence, LotBoundary } from "../lib/yard-features.js";
import { lotCorner } from "./anchors.js";

const lotBoundary = new LotBoundary()
  .add(geo.offset(lotCorner))
  .add(geo.offset(lotCorner), geo.east(geo.ft(144)))
  .add(geo.offset(lotCorner), geo.east(geo.ft(144)), geo.south(geo.ft(51)))
  .add(geo.offset(lotCorner), geo.south(geo.ft(51)));

const picketFence = new Fence("Short picket fence", {
  fenceType: "Short picket",
}).trace([
  [-100.89860584453643, 46.82671142438681],
  [-100.89891903869233, 46.82666876370629],
  [-100.89895733199393, 46.82679939652137],
  [-100.89883731628171, 46.82681591825169],
]);

export const boundaryFeatures = [lotBoundary, picketFence];